Browse files

remove -Wno-extra-portability, it breaks on automake before 1.11.2

  • Loading branch information...
1 parent b2eff0c commit a4c9578765872713c3a625c272411b1525c19f0d @klali klali committed Jun 15, 2012
Showing with 5 additions and 1 deletion.
  1. +4 −0 README
  2. +1 −1 configure.ac
View
4 README
@@ -55,6 +55,10 @@ Generate the build system using:
$ autoreconf --install
-----------
+If you get "linking libraries using a non-POSIX archiver requires 'AM_PROG_AR' in 'configure.ac'"
+you're probably using automake 1.12, use 1.11 or add -Wno-extra-portability in configure.ac. Adding
+this breaks compability with automake before 1.11.2.
+
Building
--------
View
2 configure.ac
@@ -37,7 +37,7 @@ AC_SUBST(LT_CURRENT, 7)
AC_SUBST(LT_REVISION, 0)
AC_SUBST(LT_AGE, 4)
-AM_INIT_AUTOMAKE([1.10 -Wall -Werror -Wno-extra-portability])
+AM_INIT_AUTOMAKE([1.10 -Wall -Werror])
AM_SILENT_RULES([yes])
AC_PROG_CC
AC_LIBTOOL_WIN32_DLL

0 comments on commit a4c9578

Please sign in to comment.